Freqently Asked Question: The Game on is not working; what can I do?

There might be a couple of reasons for this. Most of the time people don't have the correct Plug-ins. To play these games, you need to have the latest versions of these plug-ins: Java, Shockwave and Flash.

>>Click here to see if you have Flash
>>Click here to see if you have Shockwave
>>Click here to see if you have Java

Other reasons:



Contact us with enquires relating to or
Your subject may be relating to:
Suggesting or adding a game, Game not working, Personal opinion, You're a big HM-Games/Hussmir fan, General question, Reporting a broken link, Request removal of content, advertising, query about HM General Wear or other.
You can also contact us by E-mail - Info[at]